- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Variables Class Reference

The in-memory representation of the variables element. More...

`#include <OSInstance.h>`

Collaboration diagram for Variables:

[legend]
List of all members.

## Public Member Functions
| Variables ()
| The Variables class constructor.
| ~Variables ()
| The Variables class destructor.
bool | IsEqual (Variables *that)
| A function to check for the equality of two objects.
| Variables ()
| The Variables class constructor.
| ~Variables ()
| The Variables class destructor.
## Public Attributes
int | numberOfVariables
| numberOfVariables is the number of variables in the instance
Variable ** | var
| Here we define a pointer to an array of var pointers.
Variable ** | var
| Here we define a pointer to an array of var pointers.

## Detailed Description

The in-memory representation of the variables element.

Definition at line 116 of file OSInstance.h.

## Constructor & Destructor Documentation

Variables::Variables | ( |  | ) |

The Variables class constructor.

Definition at line 429 of file OSInstance.cpp.

References numberOfVariables, and var.

Variables::~Variables | ( |  | ) |

The Variables class destructor.

Definition at line 437 of file OSInstance.cpp.

References DEBUG, numberOfVariables, and var.

Variables::Variables | ( |  | ) |

The Variables class constructor.

Variables::~Variables | ( |  | ) |

The Variables class destructor.

## Member Function Documentation

bool Variables::IsEqual | ( | Variables * | that | ) |

A function to check for the equality of two objects.

Definition at line 4978 of file OSInstance.cpp.

References numberOfVariables, and var.

## Member Data Documentation

int Variables::numberOfVariables

numberOfVariables is the number of variables in the instance

Definition at line 126 of file OSInstance.h.

Referenced by OSInstance::getLagrangianExpTree(), OSInstance::getVariableNumber(), OSInstance::initializeNonLinearStructures(), IsEqual(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setVariableNumber(), Variables(), OSiLWriter::writeOSiL(), and ~Variables().

Variable** Variables::var

Here we define a pointer to an array of var pointers.

Definition at line 129 of file OSInstance.h.

Referenced by IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), IsEqual(), main(), OSInstance::processVariables(), CoinSolver::setSolverOptions(), OSInstance::setVariableNumber(), Variables(), OSiLWriter::writeOSiL(), and ~Variables().

Variable** Variables::var

Here we define a pointer to an array of var pointers.

Definition at line 127 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp